Supports both single and bulk payouts in a seamless, developer-friendly workflow.
allowedPaymentMethodsallowedPaymentMethods field defines which payout methods are enabled for the transaction.| Code | Payment Method | Description |
|---|---|---|
| 1001 | ACH | Standard bank transfer to the recipient’s account. |
| 1002 | Check | Physical check payment mailed to the recipient’s address. |
| 1003 | Rapid Pay | Expedited digital payment for faster fund delivery to recipient's debit/credit card linked to a bank account. |
| 1004 | Virtual Card | Payment via virtual card issued to the recipient for online or card-based use. |
Example: "allowedPaymentMethods": "1001,1002,1003,1004"
The above example enables all supported payout methods for the transaction.
curl --location 'https://staginggateway.fintainium.com/gateway/api/payouts/batch' \
--header 'sessionKey: YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data-raw '{
"businessId": "3536331",
"payout": [
{
"customerName": "Akil Test Vendor Aug 2005",
"customerId":657878,
"recipientFirstName": "Vexdor",
"recipientLastName": "One",
"recipientEmailAddress": "akil@vomoto.com",
"recipientPhoneNumber": "1236547796",
"recipientMode": "Open",
"recipientAddressLine1": "300 WEST CUMMINGS PARK",
"recipientAddressLine2": "Unit 254",
"recipientZipCode": "92008",
"recipientCountryCode": "US",
"recipientStateCode": "NY",
"recipientCity": "New York",
"recipientInternalId": "VendorOne1",
"allowedPaymentMethods": "1001,1002,1003,1004",
"achFees": "1%",
"rapidPayFees": 1.5,
"checkFees": "2",
"vcFees": "2%",
"transactionId": "102493988",
"recipientNote": "XYZ",
"totalAmount": 200,
"paymentDate": "2025-08-08",
"customerLogo": "https://openclipart.org/image/800px/232064"
}
]
}'{
"businessId": "105481",
"statusCode": 200,
"actionCode": "00",
"message": "1 Bills created successfully",
"failedCount": 0,
"failedMessageList": [],
"successCount": 1,
"transactions": [
{
"transactionId": "102493988",
"totalAmount": 200.0,
"fintainiumTransactionId": 4613303
}
],
"transmissionDateTime": "2025-08-08T03:45:11.719702-04:00"
}